.range-slider {
    input[type=range] {
        -webkit-appearance: none; /* Hides the slider so that custom slider can be made */
        width: 100%; /* Specific width is required for Firefox. */
        background-color: transparent; /* Otherwise white in Chrome */
    }

    input[type=range]:focus {
        outline: none; /* Removes the blue border. */
    }

    /* Several styles need to be applied to range inputs in all browsers to override their basic appearance. */

    /* Special styling for WebKit/Blink */
    input[type=range]::-webkit-slider-thumb {
        -webkit-appearance: none;
        margin-top: -8px; /* You need to specify a margin in Chrome, but in Firefox and IE it is automatic */

        width: 2.4rem;
        height: 2.4rem;
        border-radius: 50%;
        background-color: $range-slider-color;
        cursor: pointer;
        border: none;
        box-shadow: 0 0.1rem 0.5rem 0 $color-shadow;
    }

    /* All the same stuff for Firefox */
    input[type=range]::-moz-range-thumb {
        width: 2.4rem;
        height: 2.4rem;
        border-radius: 50%;
        background-color: $range-slider-color;
        cursor: pointer;
        border: none;
        box-shadow: 0 0.1rem 0.5rem 0 $color-shadow;
    }

    /* All the same stuff for IE */
    input[type=range]::-ms-thumb {
        width: 2.4rem;
        height: 2.4rem;
        border-radius: 50%;
        background-color: $range-slider-color;
        cursor: pointer;
        border: none;
        box-shadow: 0 0.1rem 0.5rem 0 $color-shadow;
    }

    input[type=range]::-webkit-slider-runnable-track {
        width: 100%;
        height: 0.6rem;
        cursor: pointer;
        background-color: $range-slider-color-background;
        border-radius: 9999px;
        transition: background-color 0.2s ease-out
    }

    input[type=range]::-moz-range-track {
        width: 100%;
        height: 0.6rem;
        cursor: pointer;
        background-color: $range-slider-color-background;
        border-radius: 9999px;
        border-color: transparent;
        color: transparent;
        border: none;
    }

    input[type=range]::-ms-track {
        width: 100%;
        height: 0.6rem;
        cursor: pointer;
        background-color: transparent;
        border-color: transparent;
        color: transparent;
        border: none;
    }

    input[type=range]::-ms-fill-lower {
        background-color: $range-slider-color-background;
        border-radius: 9999px;
        border: none;
    }

    input[type=range]:focus::-ms-fill-lower {
        background-color: $range-slider-color-background;
        border: none;
    }

    input[type=range]:focus::-webkit-slider-runnable-track {
        background-color: $range-slider-color-background-focus;
    }

    input[type=range]:focus::-ms-fill-lower {
        background-color: $range-slider-color-background-focus;
    }

    input[type=range]:focus::-ms-fill-upper {
        background-color: $range-slider-color-background-focus;
    }
}
